<form class="{{cssClass}}" autocomplete="off">

    <!-- HEADER -->
    <header class="sheet-header">
        <h1 class="charname">
            <input name="name" type="text" value="{{actor.name}}" placeholder="{{localize "PF2E.CharacterNamePlaceholder"}}" data-dtype="String" />
        </h1>

        <div class="editsheet">
            <label>{{localize "PF2E.EditNPCLabel"}}</label><input class="isNPCEditable" name="flags.pf2e.editNPC.value" type="checkbox" data-dtype="Boolean" {{checked flags.pf2e.editNPC.value}}/>
        </div>
        </h1>
        <h1 class="charlevel">
            <div class="level">
                <label>{{localize "PF2E.LevelLabel"}}</label>
                <input name="data.details.level.value" type="number" value="{{data.details.level.value}}" data-dtype="Number" placeholder="1" />
            </div>
            <div class="creature-adjustment traits-bar">
                <a class="npc-elite-adjustment trait{{npcEliteActive}}{{npcEliteHidden}}">ELITE</a>
                <a class="npc-weak-adjustment trait{{npcWeakActive}}{{npcWeakHidden}}">WEAK</a>
            </div>
        </h1>
    </header>

<!-- SIDEBAR -->
<section class="sheet-sidebar sidebar">

        <!-- ABILITY SCORES -->
        <div class="abilities" data-group="sidebar" data-tab="abilities">
            <h3 class="ac-title pf-heading">{{localize "PF2E.DefencesLabel"}}</h3>
            <ol class="npc-defence-list">
                <span class="armor-class" title="{{localize "PF2E.ArmorClassLabel"}}">
                    <input name="data.attributes.ac.base" type="number" value="{{data.attributes.ac.base}}" data-dtype="Number" placeholder="10" />
                </span>
                <span class="shield-value" title="{{localize "PF2E.ShieldACBonusTitle"}}">
                    <input name="data.attributes.shield.ac" type="number" value="{{data.attributes.shield.ac}}" data-dtype="Number" placeholder="0" />
                </span>
                <div class="hp-current pf-container">
                    <h4 class="hp-current pf-title">{{localize "PF2E.CurrentHitPointsShortLabel"}}</h4>
                    <span class="hp-current pf-value pf-large" title="{{localize "PF2E.CurrentHPTitle"}}">
                        <input name="data.attributes.hp.value" type="number" value="{{data.attributes.hp.value}}" data-dtype="Number" placeholder="10" />
                    </span>
                </div>
                <div class="hp-max pf-container">
                    <h4 class="hp-max pf-title">{{localize "PF2E.MaxHitPointsShortLabel"}}</h4>
                    <span class="hp-max pf-value pf-large" title="{{localize "PF2E.MaxHPTitleNPC"}}">
                        <input name="data.attributes.hp.max" type="number" value="{{data.attributes.hp.max}}" data-dtype="Number" placeholder="10" />
                    </span>
                </div>
            </ol>
            <ol class="hp-list-small">
                <li class="li-four-grid">
                    <div class="defense-container pf-justify-center">
                        <h4 class="defense-item pf-title" title="{{localize "PF2E.ShieldCurrentTitle"}}">{{localize "PF2E.ShieldCurrentLabel"}}</h4>
                        <span class="defense-item-value pf-value pf-small" title="{{localize "PF2E.ShieldCurrentTitle"}}">
                            <input name="data.attributes.shield.value" type="number" value="{{data.attributes.shield.value}}" data-dtype="Number" placeholder="0" />
                        </span>
                    </div>
                    <div class="defense-container pf-justify-center">
                        <h4 class="defense-item pf-title" title="{{localize "PF2E.ShieldMaxTitle"}}">{{localize "PF2E.ShieldMaxLabel"}}</h4>
                        <span class="defense-item-value pf-value pf-small" title="{{localize "PF2E.ShieldMaxTitle"}}">
                            <input name="data.attributes.shield.max" type="number" value="{{data.attributes.shield.max}}" data-dtype="Number" placeholder="0" />
                        </span>
                    </div>
                    <div class="defense-container pf-justify-center">
                        <h4 class="defense-item pf-title" title="Your shield's Broken Threshold">{{localize "PF2E.ShieldBTLabel"}}</h4>
                        <span class="defense-item-value pf-value pf-small" title="{{localize "PF2E.ShieldBTTitle"}}">
                            <input name="data.attributes.shield.brokenThreshold" type="number" value="{{data.attributes.shield.brokenThreshold}}" data-dtype="Number" placeholder="0"/>
                        </span>
                    </div>
                    <div class="defense-container pf-justify-center">
                        <h4 class="defense-item pf-title" title="{{localize "PF2E.ShieldHardnessTitle"}}">{{localize "PF2E.ShieldHardnessLabel"}}</h4>
                        <span class="defense-item-value pf-value pf-small" title="{{localize "PF2E.ShieldHardnessTitle"}}">
                            <input name="data.attributes.shield.hardness" type="number" value="{{data.attributes.shield.hardness}}" data-dtype="Number" placeholder="0"/>
                        </span>
                    </div>
                </li>
            </ol>
            <ol class="singleColumn-list" style="margin-bottom: 2px; margin-top: 2px;">
                <div class="npc-bio-item trait-size pf-container" style="width: calc(100% - 4px); margin-right: 3px;">
                    <label class="pf-title">{{localize "PF2E.HitPointsDetailsLabel"}}</label>
                    <span class="pf-value pf-small pf-width-100" title="{{localize "PF2E.HitPointsDetailsTitle"}}">
                        <input name="data.attributes.hp.details" type="text" value="{{data.attributes.hp.details}}" />
                    </span>
                </div>
                <li>
                     <div class="bio-item form-group-stacked pf-container">
                        <label class="pf-title">
                            {{localize "PF2E.ImmunitiesLabel"}}
                            <a class="trait-selector" data-trait-selector="basic" data-title="PF2E.ImmunitiesLabel" data-config-types="immunityTypes" data-property="data.traits.di"><i class="fas fa-edit"></i></a>
                        </label>
                        <ul class="traits-list pf-value">
                        {{#each data.traits.di.selected as |v k|}}
                            <span class="tag-legacy {{k}}">{{localize v}}</span>
                        {{/each}}
                        </ul>
                    </div>
                </li>
                <li>
                    <div class="form-group-stacked pf-container">
                        <label class="pf-title">
                            {{localize "PF2E.ResistancesLabel"}}
                            <a class="trait-selector" data-trait-selector="resistances"><i class="fas fa-edit"></i></a>
                        </label>
                        <ul id="actor-resistances" class="traits-list pf-value">
                        {{#each data.traits.dr.selected as |v k|}}
                            <span class="tag-legacy {{k}}">{{v}}</span>
                        {{/each}}
                        </ul>
                    </div>
                </li>
                <li>
                    <div class="form-group-stacked pf-container">
                        <label class="pf-title">
                            {{localize "PF2E.WeaknessesLabel"}}
                            <a class="trait-selector" data-trait-selector="weaknesses"><i class="fas fa-edit"></i></a>
                        </label>
                        <ul id="actor-resistances" class="traits-list pf-value">
                        {{#each data.traits.dv.selected as |v k|}}
                            <span class="tag-legacy {{k}}">{{v}}</span>
                        {{/each}}
                        </ul>
                    </div>
                </li>
            </ol>
            <h3 class="defense-title pf-heading">{{localize "PF2E.PerceptionHeader"}}</h3>
            <ol class="defense-list">
                    <li class="npc-defense" data-attribute="perception">
                        <span class="defense-score">
                        <input name="data.attributes.perception.base" type="number" value="{{data.attributes.perception.base}}" data-dtype="Number" placeholder="0" />
                        </span>
                        <h4 class="attribute-name rollable">{{localize "PF2E.PerceptionLabel"}}</h4>
                    </li>
                    <div class="npc-bio-item trait-size pf-container" style="width: calc(100% - 4px); margin-right: 3px;">
                        <label class="pf-title">{{localize "PF2E.SpecialSensesLabel"}}</label>
                        <span class="pf-value pf-small pf-width-100" title="{{localize "PF2E.SpecialSensesTitle"}}">
                            <input name="data.traits.senses.value" type="text" value="{{data.traits.senses.value}}"
                                data-dtype="String">
                        </span>
                    </div>

            </ol>


            <h3 class="defense-title pf-heading">{{localize "PF2E.SavesHeader"}}</h3>
            <ol class="defense-list">
                {{#each data.saves as |save sid|}}
                    <li class="npc-defense" data-save="{{sid}}" title="{{save.breakdown}}">
                        <span class="defense-score">
                                <input name="data.saves.{{sid}}.base" type="number" value="{{save.base}}" data-dtype="Number" placeholder="0" />
                        </span>
                        <h4 class="save-name rollable">{{localize save.label}}</h4>
                    </li>
                {{/each}}
            </ol>

            <h3 class="defense-title pf-heading">{{localize "PF2E.DetailsHeading"}}</h3>
                <ol class="singleColumn-list" style="margin-bottom: 2px; margin-top: 2px;">
                    <div class="bio-item form-group-stacked pf-container">
                        <label class="pf-title">
                            {{localize "PF2E.Languages"}}
                            <a class="trait-selector" data-trait-selector="basic" data-title="PF2E.Languages" data-config-types="languages" data-property="data.traits.languages"><i class="fas fa-edit"></i></a>
                        </label>
                        <ul class="traits-list pf-value">
                        {{#each data.traits.languages.selected as |v k|}}
                            <span class="trait {{k}}">{{localize v}}</span>
                        {{/each}}
                        </ul>
                    </div>
                    <div class="bio-item form-group-stacked pf-container">
                        <label class="pf-title">
                            {{localize "PF2E.TraitsLabel"}}
                            <a class="trait-selector" data-trait-selector="basic" data-config-types="monsterTraits" data-property="data.traits.traits"><i class="fas fa-edit"></i></a>
                        </label>
                        <ul class="traits-list pf-value">
                        {{#each data.traits.traits.selected as |v k|}}
                            <span class="tag-legacy {{k}}">{{localize v}}</span>
                        {{/each}}
                        </ul>
                    </div>
            </ol>
            <ol class="bio-list">
                    <div class="bio-item trait-size pf-container">
                            <label class="pf-title">{{localize "PF2E.SizeLabel"}}</label>
                            <select class="pf-value pf-small pf-width-100" name="data.traits.size.value" data-dtype="String">
                                {{#select data.traits.size.value}}
                                {{#each actorSizes as |label size|}}
                                    <option value="{{size}}">{{localize label}}</option>
                                {{/each}}
                                {{/select}}
                            </select>
                    </div>

                    <div class="npc-bio-item trait-size pf-container">
                        <label class="pf-title">{{localize "PF2E.Speed"}}</label>
                        <span class="pf-value pf-small pf-width-100" title="{{localize "PF2E.SpeedTitle"}}">
                            <input type="text" name="data.attributes.speed.value" data-dtype="String" value="{{data.attributes.speed.value}}" placeholder="0"/>
                        </span>
                    </div>

                    <div class="bio-item trait-size pf-container">
                        <label class="pf-title">{{localize "PF2E.Alignment"}}</label>
                        <select class="pf-value pf-small pf-width-100" name="data.details.alignment.value" data-dtype="String">
                            {{#select data.details.alignment.value}}
                            {{#each alignments as |label key|}}
                                <option value="{{key}}">{{localize label}}</option>
                            {{/each}}
                            {{/select}}
                        </select>
                    </div>
                    <div class="bio-item trait-size pf-container">
                        <label class="pf-title">{{localize "PF2E.Rarity"}}</label>
                        <select class="pf-value pf-small pf-width-100" name="data.traits.rarity.value" data-dtype="String">
                            {{#select data.traits.rarity.value}}
                            {{#each rarity as |label key|}}
                            <option value="{{key}}">{{localize label}}</option>
                            {{/each}}
                            {{/select}}
                        </select>
                    </div>
                    <div class="bio-item trait-size pf-container">
                      <label class="pf-title">{{localize "PF2E.AttitudeLabel"}}</label>
                      <select class="pf-value pf-small pf-width-100" name="data.traits.attitude.value" data-dtype="String">
                        {{#select data.traits.attitude.value}}
                        {{#each attitude as |label key|}}
                          <option value="{{key}}">{{localize label}}</option>
                        {{/each}}
                        {{/select}}
                      </select>
                    </div>
                    <div class="bio-item trait-size pf-container">
                        <label class="pf-title">{{localize "PF2E.ImageLabel"}}</label>
                        <img class="sheet-profile" src="{{actor.img}}" title="{{actor.name}}" height="110" width="110" data-edit="img"/>
                    </div>
            </ol>
        </div>
    </section>

    <!-- BODY -->
    <section class="sheet-body content">

            <!-- Items List -->
            <ol class="actions-list inventory-list directory-list item-list">
                <!-- Action Header -->
                <li class="list-row action-header">
                    <h3 class="item-name pf-heading pf-actions" style="display: block; padding-left: 44px">Actions</h3>
                    {{#if owner}}
                    <div class="item-controls">
                        <a class="item-control item-create pf-heading" title="{{localize "PF2E.CreateActionTitle"}}" data-type="action" data-action-type="action"><i class="fas fa-plus"></i>{{localize "PF2E.AddShortLabel"}}</a>
                    </div>
                    {{/if}}
                </li>

                <!-- List Actions -->
                {{#each actor.actions as |section sid|}}
                    {{#each section.actions as |action aid|}}
                    <li class="list-row item" data-item-id="{{action._id}}">
                        <div class="item-name rollable">
                            <div class="item-image" style="background-image: url({{action.img}})"></div>
                            <h4>
                                {{action.name}}
                            </h4>
                        </div>
                        {{#if ../../owner}}
                        <div class="item-controls">
                            <a class="item-control item-edit" title="{{localize "PF2E.EditItemTitle"}}"><i class="fas fa-edit"></i></a>
                            <a class="item-control item-delete" title="{{localize "PF2E.DeleteItemTitle"}}"><i class="fas fa-trash"></i></a>
                        </div>
                        {{/if}}
                    </li>
                    {{/each}}
                {{/each}}

                <!-- Equipment Header -->
                <li class="list-row action-header item-container" data-container-type="actorInventory">
                    <h3 class="item-name pf-heading pf-actions" style="display: block; padding-left: 44px">Items</h3>
                    {{#if owner}}
                    <div class="item-controls">
                        <a class="item-control item-create pf-heading" title="{{localize "PF2E.CreateItemTitle"}}" data-type="equipment" data-action-type="equipment"><i class="fas fa-plus"></i>{{localize "PF2E.AddShortLabel"}}</a>
                    </div>
                    {{/if}}
                </li>
                <!-- List Equipment -->
                {{#each actor.equipment as |item iid|}}
                    <li class="list-row item item-container" data-container-type="actorInventory" data-item-id="{{item._id}}">
                        <div class="item-name rollable">
                            <div class="item-image" style="background-image: url({{item.img}})"></div>
                            <h4>
                                {{item.name}}
                                {{#if (and @root.user.isGM (not item.isIdentified))}}<span class="gm-mystified-data">({{item.data.identification.identified.name}})</span>{{/if}}
                            </h4>
                        </div>
                        {{#if ../owner}}
                        <div class="item-controls">
                            <a class="item-control item-edit" title="{{localize "PF2E.EditItemTitle"}}"><i class="fas fa-edit"></i></a>
                            <a class="item-control item-delete" title="{{localize "PF2E.DeleteItemTitle"}}"><i class="fas fa-trash"></i></a>
                        </div>
                        {{/if}}
                    </li>
                {{/each}}

                <!-- Attacks Header -->
                <h3 class="item-name pf-heading pf-actions">Attacks</h3>

                <!-- List Attacks -->
                {{#each actor.attacks as |section sid|}}
                    <li class="list-row inventory-header sub-category spellbook-header">
                        <h3 class="item-name pf-sub-category pf-actions">{{section.label}}</h3>
                        {{#if ../owner}}
                        <div class="item-controls">
                            <a class="item-control item-create" title="{{localize "PF2E.CreateAttackTitle"}}" data-type="{{section.type}}" data-action-type="{{sid}}"><i class="fas fa-plus"></i>{{localize "PF2E.AddShortLabel"}}</a>
                        </div>
                        {{/if}}
                    </li>
                    {{#each section.items as |item iid|}}
                    <li class="list-row item" data-item-id="{{item._id}}">
                        <div class="melee-name rollable">
                            <div class="item-image" style="background-image: url({{item.img}})"></div>
                            <h4>{{item.name}}</h4>
                            <div class="melee-buttons">
                                <span class="tag-legacy"><button type="button" data-action="legacy-attack" >Strike (+{{item.data.bonus.total}})</button></span>
                                <span class="tag-legacy"><button type="button" data-action="legacy-attack-2" >{{#unless item.data.isAgile}}-5{{else}}-4{{/unless}}</button></span>
                                <span class="tag-legacy"><button type="button" data-action="legacy-attack-3" >{{#unless item.data.isAgile}}-10{{else}}-8{{/unless}}</button></span>
                                <span class="tag-legacy"><button type="button" data-action="legacy-damage">Damage
                                    {{#if item.data.damageRolls}}
                                        {{#each item.data.damageRolls as |dmg index|}}
                                            {{dmg.damage}} {{dmg.damageType}}
                                        {{/each}}
                                    {{/if}}
                                </button></span>
                                <span class="tag-legacy"><button type="button" data-action="legacy-critical">{{localize "PF2E.CriticalDamageLabel"}}</button></span>
                            </div>
                        </div>
                        {{#if @root.owner}}
                        <div class="item-controls">
                            <a class="item-control item-edit" title="{{localize "PF2E.EditItemTitle"}}"><i class="fas fa-edit"></i></a>
                            {{#unless action.feat}}
                            <a class="item-control item-delete" title="{{localize "PF2E.DeleteItemTitle"}}"><i class="fas fa-trash"></i></a>
                            {{/unless}}
                        </div>
                        {{/if}}
                    </li>
                    {{/each}}
                {{/each}}

                {{#each spellcastingEntries as |entry eid|}}
                <li class="item-container" data-container-type="spellcastingEntry" data-item-id="{{entry.id}}" data-container-id="{{entry.id}}">
                    <div class="list-row item action-header">
                        {{#if entry.isPrepared}}
                            <a class="skill-name prepared-toggle" title="{{localize "PF2E.ToggleSpellVisibilityLevelTitle"}}"  style="line-height: 24px; background: var(--primary-background); color: white;">
                                <i class="fas {{#if entry.data.showUnpreparedSpells.value}}fa-book-open{{else}}fa-book{{/if}}"></i>
                            </a>
                        {{/if}}
                        <h3 class="item-name pf-heading pf-actions" style="display: block; flex: 20;">{{{entry.name}}}</h3>
                        {{#if ../owner}}
                            <div class="item-controls" style="display: flex; background: var(--primary-background);">
                                <a class="item-control spellcasting-remove" title="{{localize "PF2E.RemoveSpellcastingEntryTitle"}}" data-type="{{eid}}" style="align-self: center; flex: 1;  color: white;"><i class="fas fa-minus"></i>{{localize "PF2E.DeleteShortLabel"}}</a>
                            </div>
                        {{/if}}
                    </div>

                    <div class="list-row item action-header">
                        <ol class="npc-defense-list" style="display: flex; margin: 4px 0 5px 4px;">
                            <li class="npc-defense spellcasting-attribute" data-spelldc-attribute="dc" style="flex: 1;">
                                <span class="defense-score spelldc-input">
                                    <input data-item-id="{{entry.id}}" data-item-property="data.spelldc.dc" type="number" value="{{entry.data.spelldc.dc}}" placeholder="0" />
                                </span>
                                <h4 class="spelldc-name">{{localize "PF2E.SpellSaveLabel"}}</h4>
                            </li>
                            <li class="npc-defense spellcasting-attribute" data-spelldc-attribute="value" style="flex: 1;">
                                    <span class="defense-score spelldc-input">
                                        <input data-item-id="{{entry.id}}" data-item-property="data.spelldc.value" type="number" value="{{entry.data.spelldc.value}}" placeholder="0" />
                                    </span>
                                    <h4 class="spelldc-name">{{localize "PF2E.SpellAttackLabel"}}</h4>
                            </li>
                            <li class="npc-defense spellcasting-attribute" data-spelldc-attribute="ability" style="flex: 1;">
                                <span class="spelldc-input" style="margin-top: 3px;">
                                    <select class="pf-value" data-item-id="{{entry.id}}" data-item-property="data.ability.value">
                                        {{#select entry.data.ability.value}}
                                            <option value="str">{{localize 'PF2E.AbilityId.str'}}</option>
                                            <option value="dex">{{localize 'PF2E.AbilityId.dex'}}</option>
                                            <option value="con">{{localize 'PF2E.AbilityId.con'}}</option>
                                            {{#if entry.data.ability.value}}
                                                <option value="int">{{localize 'PF2E.AbilityId.int'}}</option>
                                            {{else}}
                                                <option value="">{{localize 'PF2E.AbilityId.int'}}</option>
                                            {{/if}}
                                            <option value="wis">{{localize 'PF2E.AbilityId.wis'}}</option>
                                            <option value="cha">{{localize 'PF2E.AbilityId.cha'}}</option>
                                        {{/select}}
                                    </select>
                                </span>
                                <h4 class="spelldc-name">{{localize 'PF2E.SpellAbilityLabel'}}</h4>
                            </li>
                        </ol>
                    </div>

                    <ol class="singleColumn-list">
                        <!-- Add section for each spell level -->
                        {{#each entry.levels as |section lvl|}}
                            <li class="list-row item inventory-header spellbook-header" style="background: var(--secondary-background);" data-item-id="{{entry.id}}" data-level="{{section.level}}">
                                <div class="item-name flexrow">
                                    <h3>{{localize section.label}}</h3>

                                    {{#if entry.isPrepared}}
                                        <span class="spell-max-input">
                                            <input type="number" data-item-id="{{entry.id}}" data-item-property="data.slots.slot{{lvl}}.max" value="{{section.uses.max}}" placeholder="0" data-dtype="Number" />
                                        </span>
                                    {{else}}
                                        {{#unless (or entry.isRitual entry.isFocusPool)}}
                                            {{#if section.isCantrip}}
                                                <span class="spell-slots">&infin;</span>
                                                <span class="flex0"> / </span>
                                                <span class="spell-max">&infin;</span>
                                            {{else}}
                                                <span class="spell-slots-input">
                                                    <input type="number" data-item-id="{{entry.id}}" data-item-property="data.slots.slot{{lvl}}.value" value="{{section.uses.value}}" placeholder="0" data-dtype="Number" />
                                                </span>
                                                <span class="flex0"> / </span>
                                                <span class="spell-max-input">
                                                    <input type="number" data-item-id="{{entry.id}}" data-item-property="data.slots.slot{{lvl}}.max" value="{{section.uses.max}}" placeholder="0" data-dtype="Number" />
                                                </span>
                                            {{/if}}
                                        {{/unless}}
                                    {{/if}}
                                </div>

                                {{#if ../../owner}}
                                <div class="item-controls">
                                    <a class="item-control spell-create" title="{{localize "PF2E.CreateSpellTitle"}}" data-type="spell"
                                        data-level="{{lvl}}" data-location="{{entry.id}}"><i class="fas fa-plus"></i></a>
                                    <a class="item-control spell-browse" title="{{localize "PF2E.OpenSpellBrowserTitle"}}" data-type="spell"
                                        data-level="{{lvl}}" data-location="{{entry.id}}"><i class="fas fa-search"></i></a>
                                </div>
                                {{/if}}
                            </li>

                            <!-- Add spell items for each spell level -->
                            {{#each section.active as |item i|}}
                                {{#with item}}
                                <li class="list-row item" data-item-id="{{spell.id}}" data-slot-id="{{i}}" data-spell-lvl="{{section.level}}" data-entry-id="{{entry.id}}">
                                    <div class="item-name rollable">
                                        <div class="item-image" style="background-image: url({{chatData.img}})"></div>
                                        {{#if expended}}
                                            <h4 style="text-decoration: line-through">{{spell.name}}</h4>
                                        {{else}}
                                            <h4>{{spell.name}}</h4>
                                        {{/if}}
                                    </div>

                                    {{#if ../../../owner}}
                                    <div class="item-controls">
                                        <a class="item-control item-edit" title="{{localize "PF2E.EditItemTitle"}}"><i class="fas fa-edit"></i></a>
                                        {{#if entry.isPrepared}}
                                            {{#unless section.isCantrip}}
                                                <a class="item-control item-unprepare" title="{{localize "PF2E.UnprepareItemTitle"}}"><i class="fas fa-minus-square"></i></a>
                                            {{/unless}}
                                        {{else}}
                                            <a class="item-control item-delete" title="{{localize "PF2E.DeleteItemTitle"}}"><i class="fas fa-trash"></i></a>
                                        {{/if}}
                                    </div>
                                    {{/if}}
                                </li>
                                {{else}}
                                    <li class="list-row item" data-item-id="{{i}}" data-spell-lvl="{{section.level}}" data-item-type="spellSlot" data-entry-id="{{entry.id}}" draggable="true">
                                        <div class="item-name" style="padding-left:30px;">
                                            <h4>{{localize "PF2E.SpellSlotEmpty"}}</h4>
                                        </div>
                                    </li>
                                {{/with}}
                            {{/each}}

                            {{#if (and entry.data.showUnpreparedSpells.value section.displayPrepared)}}
                                <!-- Unprepared Spells -->
                                <h3 class="item-name pf-sub-category pf-actions" style="background: var(--tertiary-background);">{{localize "PF2E.UnpreparedSpellsLabel" label=(localize section.label)}}</h3>
                                {{#each (lookup entry.spellPrepList section.level) as |item i|}}
                                    {{#with item}}
                                        <li class="list-row item" data-item-id="{{spell.id}}">
                                            <div class="item-name rollable">
                                                <div class="item-image" style="background-image: url({{spell.img}})"></div>
                                                <h4>{{spell.name}}</h4>
                                            </div>
                                            {{#if @root.owner}}
                                            <div class="item-controls">
                                                <a class="item-control item-edit" title="{{localize "PF2E.EditItemTitle"}}"><i class="fas fa-edit"></i></a>
                                                <a class="item-control item-delete" title="{{localize "PF2E.DeleteItemTitle"}}"><i class="fas fa-trash"></i></a>
                                            </div>
                                            {{/if}}
                                        </li>
                                    {{/with}}
                                {{/each}}
                            {{/if}}
                        {{/each}}

                        {{#unless entry.levels}}
                            <!-- Add Spells Row -->
                            <li class="list-row item inventory-header spellbook-header spellbook-empty">
                                {{#if ../owner}}
                                <div class="item-controls pf-bluelist pf-add-item-row" style="display: flex; flex: 1; background: var(--secondary-background);">
                                    <a class="item-control spell-create" title="{{localize "PF2E.CreateSpellTitle"}}" data-type="spell"
                                        data-level="{{lvl}}" data-location="{{entry.id}}" style="flex: 1;"><i class="fas fa-plus"></i>{{localize "PF2E.AddSpellTitle"}}</a>
                                    <a class="item-control spell-browse" title="{{localize "PF2E.OpenSpellBrowserTitle"}}" data-type="spell"
                                        data-level="{{lvl}}" data-location="{{entry.id}}" style="flex: 1;"><i class="fas fa-search"></i>{{localize "PF2E.OpenSpellBrowserTitle"}}</a>
                                </div>
                                {{/if}}
                            </li>
                        {{/unless}}
                    </ol>
                {{/each}}

                <li class="list-row action-header" style="display: flex;">
                    {{#if owner}}
                    <div class="item-controls pf-bluelist pf-add-item-row" style="display: flex; flex: 1;">
                        <a class="item-control spellcasting-create" title="{{localize "PF2E.CreateSpellTitle"}}" data-type="spell"
                            data-level="{{lvl}}" style="flex: 1; color: white;"><i class="fas fa-plus"></i>{{localize "PF2E.AddSpellcastingEntryTitle"}}</a>
                    </div>
                    {{/if}}
                </li>

                <!-- Skill Header -->
                <li class="list-row action-header">
                    <h3 class="item-name pf-heading pf-actions" style="display: block; padding-left: 44px">{{localize "PF2E.SkillsLabel"}}</h3>
                    {{#if owner}}
                    <div class="item-controls">
                        <a class="item-control item-create pf-heading" title="{{localize "PF2E.CreateSkillTitle"}}" data-type="lore"><i class="fas fa-plus"></i>{{localize "PF2E.AddShortLabel"}}</a>
                    </div>
                    {{/if}}
                </li>

                <!-- Skill List -->
                {{#each actor.lores as |lore lid|}}
                    <li class="list-row item" data-skill="{{s}}" data-item-id="{{lore._id}}">

                        <div style="display: grid; grid: 24px / 28px 28px auto">

                            <div class="npc-skill-name rollable">
                                <img class="npc-skill-image" src="{{lore.img}}" title="{{lore.name}}" height="24" width="24" style="border: none" />
                                <!-- Roll -->
                            </div>

                            <div class="skill-input">
                                <input name="item-value-skill-{{lore._id}}" data-item-id="{{lore._id}}" type="number" value="{{lore.data.mod.value}}" placeholder="0" />
                            </div>

                            <div class="item-name item-name-input">
                                <input data-item-id="{{lore._id}}" data-item-property="name" type="text" value="{{lore.name}}" placeholder="{{localize "PF2E.NewSkillPlaceholder"}}" />
                            </div>
                        </div>
                        {{#if ../owner}}
                        <div class="item-controls" style="padding-left: 22px">
                            <a class="item-control item-edit" title="{{localize 'PF2E.EditItemTitle'}}"><i class="fas fa-edit"></i></a>
                            <a class="item-control item-delete" title="{{localize 'PF2E.DeleteItemTitle'}}"><i class="fas fa-trash"></i></a>
                        </div>
                        {{/if}}
                    </li>
                {{/each}}

            </ol>

            <!-- ability scores -->
            <div class="npc-abilities">
                <h3 class="abilities-title pf-heading">{{localize "PF2E.AbilityScoresHeader"}}</h3>
                <ol class="abilities-list">
                    {{#each data.abilities as |ability id|}}
                            <li class="npc-defense" data-ability="{{id}}">
                                <span class="defense-score">
                                <input name="data.abilities.{{id}}.mod" type="number" value="{{numberFormat ability.mod decimals=0}}" data-dtype="Number" placeholder="0" />
                                </span>
                                <h4 class="ability-name rollable">{{id}}</h4>
                            </li>
                        </li>
                    {{/each}}
                </ol>
            </div>
    </section>

</form>
